<template>
  <b-card class="appointmentGridItem">
    <p class="appointmentGridItem__title">Médico</p>
    <p>{{ doctor }}</p>
    <p class="appointmentGridItem__title">Data</p>
    <p>{{ date }}</p>
    <p class="appointmentGridItem__title">Hora</p>
    <p>{{ hour }}</p>
    <p class="appointmentGridItem__title">Paciente</p>
    <p>{{ pacient }}</p>
    <p class="appointmentGridItem__title">Observação</p>
    <p class="truncate">{{ observation }}</p>
    <hr>
    <b-button block squared variant="primary" :to="{ name: 'detail', params: { id } }">Detalhes</b-button>
  </b-card>
</template>

<script>
export default {
  props: {
    date: {
      type: String,
      required: true
    },

    hour: {
      type: String,
      required: true
    },

    pacient: {
      type: String,
      required: true
    },

    observation: {
      type: String,
      required: true
    },

    doctor: {
      type: Number,
      required: true
    },

    id: {
      type: String,
      required: true
    }
  },
}
</script>

<style>

</style>